Skip to main content
PATCH
Update Transaction Cost Basis

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

transactionId
string
required

The ID of the transaction to update (Same as the one returned for Transactions in the Subaccounts API )

Body

application/json
type
enum<string>
required

A string representing the type of the transaction. Must match the original transaction type.

Available options:
DEPOSIT,
WITHDRAW
Example:

"DEPOSIT"

acquisitionDatetime
string<date-time>

ISO-8601 timestamp representing when the lot was acquired.

assetType
string

A string representing the asset type of the transaction.

Example:

"BTC"

data
TransactionCostBasis · object

Details of the transaction cost basis

lots
TransactionTaxLot · object[]

An Array of the Tax lots that are part of this transaction

Minimum array length: 1

Response

Successfully updated the transaction

data
UpdateTransactionResponseId · object
required